# Don't provide library %%{python(3)_sitearch}/%%{name}/moduleFilterer.so
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
    
%global upname scikit-image

Name:           python-scikit-image
Version:        0.11.3
Release:        %mkrel 2
Summary:        Image processing in Python
# The following files are BSD 2 clauses, the rest BSD 3 clauses
# skimage/graph/_mcp.pyx
# skimage/graph/heap.pyx
License:        BSD
Group:          Development/Python    
URL:            http://scikit-image.org/
Source0:        https://pypi.python.org/packages/source/s/scikit-image/scikit-image-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-numpy-devel
BuildRequires:  python-cython
BuildRequires:  python-scipy
BuildRequires:  python-matplotlib
BuildRequires:  python-nose
BuildRequires:  python-six >= 1.3

Requires:       python-scipy 
Requires:       python-six >= 1.3
Recommends:     %{upname}-tools
Recommends:     python-qt4
Recommends:     python-pillow    

%description
The scikit-image SciKit (toolkit for SciPy) extends scipy.ndimage to provide a
versatile set of image processing routines.

%package -n python3-%{upname}
Summary:        Image processing in Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-cython
BuildRequires:  python3-scipy
BuildRequires:  python3-matplotlib
BuildRequires:  python3-nose
BuildRequires:  python3-six >= 1.3

Requires:       python3-scipy
Requires:       python3-six >= 1.3
Recommends:     %{upname}-tools
Recommends:     python3-qt4
Recommends:     python3-pillow    
    
%description -n python3-%{upname}
The scikit-image SciKit (toolkit for SciPy) extends scipy.ndimage to provide a
versatile set of image processing routines.

%package -n %{upname}-tools
Summary:        Scikit-image utility tools
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description -n %{upname}-tools
Utilities provided by scikit-image: 'skivi'.

%prep
%setup -n %{upname}-%{version} -q
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc CONTRIBUTORS.txt DEPENDS.txt LICENSE.txt RELEASE.txt TASKS.txt TODO.txt
%{python2_sitearch}/skimage
%{python2_sitearch}/scikit_image-*.egg-info

%files -n python3-%{upname}
%doc CONTRIBUTORS.txt DEPENDS.txt LICENSE.txt RELEASE.txt TASKS.txt TODO.txt
%{python3_sitearch}/skimage
%{python3_sitearch}/scikit_image-*.egg-info

%files -n %{upname}-tools
%{_bindir}/skivi


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.11.3-2.mga6
+ Revision: 937387
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 daviddavid <daviddavid> 0.11.3-1.mga6
+ Revision: 900934
- add BuildRequires python(3)-numpy-devel
- do not provide library for python3
- use new python macros

  + tv <tv>
    - new release

* Sat Oct 10 2015 tv <tv> 0.10.1-3.mga6
+ Revision: 888992
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-2.mga5
+ Revision: 749399
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 dglent <dglent> 0.10.1-1.mga5
+ Revision: 730975
- imported package python-scikit-image

